/* Objective_C Implementation of the Fruit Class: Fruit.m */

#import "Fruit.h"

@implementation Fruit : Object

// Initialize a new fruit
-init {
	[super init];			//Do Object's init.  Now my own:
	[ self diameter: 1];		// init the diameter
	[ self color: "green" ]; 	// init the color
	return self;			// return the new instance
}

// Set the color instance variable
-color: (const char*) aColor{
	color = aColor;
	return self;
}

//Return the value of the color instance variable
- (const char*) color {
	return color;
}

//Set the diameter instance variable
-diameter: (int) aSize {
	diameter = aSize;
	return self;
}

//Return the value of the diameter instance variable
- (int) diameter {
	return diameter;
}

// Tell a Fruit object to increase its diameter
- grow {
	[self diameter: ([self diameter] + 1)];  //better than:  diameter=diameter+1
	return self;
}

@end
