/* Objective_C Implementation of the Fruit Class: Fruit.m */

#import "Fruit.h"
#import  <appkit/TextField.h>

@implementation Fruit : Object

// Initialize a new fruit
-init {
	[super init];		//Do Object's init.  Now my own:
	diameter=1;		// init the diameter
	color="green" ; 	// init the color
	return self;		// return the new instance
}
//set color from a control
-setColor:sender  {
	color=[sender   stringValue];
	return self;
}

//set color
-color:(const char *)aColor{
	color=aColor;
	return self;
}

//Return the value of the color instance variable
- (const char*) color {
	return color;
}

//set diameter from a control
-setDiameter:sender  {
	diameter = [sender    intValue];
	return self;
}

//Set the diameter
-diameter: (int )dia {
	diameter = dia;
	return self;
}

//Return the value of diameter
- (int) diameter {
	return diameter;
}

// Tell a Fruit object to increase its diameter
- grow:sender  {
	[self diameter: ([self diameter] + 1)];  //better than:  diameter=diameter+1
	return self;
}

- display:sender  {
	[colorDisplay	setStringValue:[self    color]];   	[diameterDisplay    setIntValue:[self  diameter] ]; 
	return self;
}

@end
